/* 
 * Tenshi no Hashigo for X
 * Copyright (c) 2001 TF <tf@denpa.org>
 * All rights reserverd.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgment:
 *      This product includes software developed by TF.
 * 4. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: $
 */
#ifndef __INCLUDE_COMMAND_H
#define __INCLUDE_COMMAND_H

#include "aladder.h"

int Bg(char arg[][ARG_LEN], int num);
int CGLook(char arg[][ARG_LEN], int num);
int Chara(char arg[][ARG_LEN], int num);
int Effect(char arg[][ARG_LEN], int num);
int End(char arg[][ARG_LEN], int num);
int FadeOutMusic(char arg[][ARG_LEN], int num);
int Flag(char arg[][ARG_LEN], int num);
int IfJump(char arg[][ARG_LEN], int num);
int Jump(char arg[][ARG_LEN], int num);
int Light(char arg[][ARG_LEN], int num);
int MessageType(char arg[][ARG_LEN], int num);
int Music(char arg[][ARG_LEN], int num);
int OutAllChara(char arg[][ARG_LEN], int num);
int OutBg(char arg[][ARG_LEN], int num);
int OutChara(char arg[][ARG_LEN], int num);
int PREVLook(char arg[][ARG_LEN], int num);
int Page(char arg[][ARG_LEN], int num);
int Return(char arg[][ARG_LEN], int num);
int SceneName(char arg[][ARG_LEN], int num);
int SelStart(char arg[][ARG_LEN], int num);
int Select(char arg[][ARG_LEN], int num);
int Sound(char arg[][ARG_LEN], int num);
int Staffroll(char arg[][ARG_LEN], int num);
int StopMusic(char arg[][ARG_LEN], int num);
int cmd_Time(char arg[][ARG_LEN], int num);
#endif
